Method: deltasharing.v1.projects.catalogs.create

Creates a new DeltaSharing catalog.

HTTP request

POST https://biglake.googleapis.com/deltasharing/v1/{parent=projects/*}/catalogs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this catalog will be created. Format: projects/{project_id_or_number}

Query parameters

Parameters
deltaSharingCatalogId

string

Required. The ID to use for the catalog, which will become the final component of the catalog's resource name.

Request body

The request body contains an instance of DeltaSharingCatalog.

Response body

If successful, the response body contains a newly created instance of DeltaSharingCatalog.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • biglake.catalogs.create

For more information, see the IAM documentation.